#

API Docs for:
Show: Inherited Protected Private Deprecated

# ComboSeries Class

Defined in: `input/charts/ComboSeries.js:1`
Module: charts

The ComboSeries class renders a combination of lines, plots and area fills in a single series. Each series type has a corresponding boolean attribute indicating if it is rendered. By default, lines and plots are rendered and area is not.

- Index
- Methods
- Attributes

## Item Index

### Methods

- _getDefaultStyles
- _toggleVisible
- drawSeries

### Attributes

- area
- line
- marker
- showAreaFill
- showLines
- showMarkers
- styles
- type

## Methods

### `_getDefaultStyles`

() protected

Defined in `input/charts/ComboSeries.js:78`

#### Returns:

Object

### `_toggleVisible`

(

- `visible`

)
private

Defined in `input/charts/ComboSeries.js:38`

Toggles visibility

#### Parameters:

- `visible` Boolean

  indicates visibilitye

### `drawSeries`

() protected

Defined in `input/charts/ComboSeries.js:15`

## Attributes

### `area`

Object

Defined in `input/charts/ComboSeries.js:219`

Reference to the styles of the area fills. These styles can also be accessed through the `styles` attribute. Below are the default values:

color
  The color of the fill. The default value is determined by the order of the series on the graph. The color will be retrieved from the following array: `["#66007f", "#a86f41", "#295454", "#996ab2", "#e8cdb7", "#90bdbd","#000000","#c3b8ca", "#968373", "#678585"]`
alpha
  Number between 0 and 1 that indicates the opacity of the fill. The default value is 1

### `line`

Object

Defined in `input/charts/ComboSeries.js:186`

Reference to the styles of the lines. These styles can also be accessed through the `styles` attribute. Below are the default values:

color
  The color of the line. The default value is determined by the order of the series on the graph. The color will be retrieved from the following array: `["#426ab3", "#d09b2c", "#000000", "#b82837", "#b384b5", "#ff7200", "#779de3", "#cbc8ba", "#7ed7a6", "#007a6c"]`
weight
  Number that indicates the width of the line. The default value is 6.
alpha
  Number between 0 and 1 that indicates the opacity of the line. The default value is 1.
lineType
  Indicates whether the line is solid or dashed. The default value is solid.
dashLength
  When the `lineType` is dashed, indicates the length of the dash. The default value is 10.
gapSpace
  When the `lineType` is dashed, indicates the distance between dashes. The default value is 10.
connectDiscontinuousPoints
  Indicates whether or not to connect lines when there is a missing or null value between points. The default value is true.
discontinuousType
  Indicates whether the line between discontinuous points is solid or dashed. The default value is solid.
discontinuousDashLength
  When the `discontinuousType` is dashed, indicates the length of the dash. The default value is 10.
discontinuousGapSpace
  When the `discontinuousType` is dashed, indicates the distance between dashes. The default value is 10.

### `marker`

Object

Defined in `input/charts/ComboSeries.js:141`

Reference to the styles of the markers. These styles can also be accessed through the `styles` attribute. Below are default values:

fill
  A hash containing the following values:
  color
    Color of the fill. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#6084d0", "#eeb647", "#6c6b5f", "#d6484f", "#ce9ed1", "#ff9f3b", "#93b7ff", "#e0ddd0", "#94ecba", "#309687"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker fill. The default value is 1.
border
  A hash containing the following values:
  color
    Color of the border. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#205096", "#b38206", "#000000", "#94001e", "#9d6fa0", "#e55b00", "#5e85c9", "#adab9e", "#6ac291", "#006457"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker border. The default value is 1.
  weight
    Number indicating the width of the border. The default value is 1.
width
  indicates the width of the marker. The default value is 10.
height
  indicates the height of the marker The default value is 10.
over
  hash containing styles for markers when highlighted by a `mouseover` event. The default values for each style is null. When an over style is not set, the non-over value will be used. For example, the default value for `marker.over.fill.color` is equivalent to `marker.fill.color`.

### `showAreaFill`

Boolean

Defined in `input/charts/ComboSeries.js:108`

Indicates whether a fill is displayed.

Default: false

### `showLines`

Boolean

Defined in `input/charts/ComboSeries.js:119`

Indicates whether lines are displayed.

Default: true

### `showMarkers`

Boolean

Defined in `input/charts/ComboSeries.js:130`

Indicates whether markers are displayed.

Default: true

### `styles`

Object

Defined in `input/charts/ComboSeries.js:246`

Style properties for the series. Contains a key indexed hash of the following:

marker
  Style properties for the markers in the series. Specific style attributes are listed here.
line
  Style properties for the lines in the series. Specific style attributes are listed here.
area
  Style properties for the area fills in the series. Specific style attributes are listed here.

### `type`

String

Defined in `input/charts/ComboSeries.js:97`

Read-only attribute indicating the type of series.

Default: combo